## gimpfonts gimpfonts — Operations related to fonts. |

## Functions

gboolean | gimp_fonts_refresh ()
gchar ** | gimp_fonts_get_list ()

## Description

Operations related to fonts.

## Functions

### gimp_fonts_refresh ()

    gboolean
    gimp_fonts_refresh (void);

Refresh current fonts. This function always succeeds.

This procedure retrieves all fonts currently in the user's font path and updates the font dialogs accordingly.

#### Returns

TRUE on success.

### gimp_fonts_get_list ()

    gchar **
    gimp_fonts_get_list (const gchar *filter,
                         gint *num_fonts);

Retrieve the list of loaded fonts.

This procedure returns a list of the fonts that are currently available.

#### Parameters

filter | An optional regular expression used to filter the list. |
num_fonts | The number of available fonts. |

#### Returns

The list of font names.

## Types and Values